curl --request GET \
--url https://product-api.thedatacity.com/api/v2/directors/{personNumber} \
--header 'Authorization: Bearer <token>'import requests
url = "https://product-api.thedatacity.com/api/v2/directors/{personNumber}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://product-api.thedatacity.com/api/v2/directors/{personNumber}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"AddressLine1": "<string>",
"AddressLine2": "<string>",
"Appointedon": "2023-12-25",
"Careof": "<string>",
"Country": "<string>",
"County": "<string>",
"DOB": "2023-12-25",
"Forenames": "<string>",
"Honours": "<string>",
"Nationality": "<string>",
"Occupation": "<string>",
"PersonNumber": "<string>",
"PostTown": "<string>",
"ResignationDate": "2023-12-25",
"Role": "<string>",
"Surname": "<string>",
"Title": "<string>",
"UsualResidentialCountry": "<string>"
}Get director details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Director person number.
Response
Director / officer record from the product API.
Generated from The Data City data dictionary (schema Officer, version 1.0). See https://docs.thedatacity.com/data-dictionary/
The first line of the address of the officer.
The second line of the address of the officer.
The date the officer was appointed.
The care of the officer.
The country of the officer.
The county of the officer.
The date of birth of the officer.
The forenames of the officer.
The honours of the officer.
The nationality of the officer.
The occupation of the officer.
The person number of the officer. Person number is a unique identifier for the officer provided by Companies House.
The post town of the officer.
The date the officer resigned (if applicable).
The role of the officer.
The surname of the officer.
The title of the officer.
The usual residential country of the officer.